
export default function () {
  const options={
    height:740,
    align:'center',
    border: true,
    resizable: true,
    keepSource:true,
    size:'mini',
    showOverflow: true,
    scrollY:{enable:true},
    data:[
      {dcCh:'G175K-6',gdh:'20240812101',dcPl:'001',dcFd:'2302','tzbh':'1231232'}
    ]
  }
  const gdhFormat=function ({cellValue}){
    if (cellValue){
      return 'LL'+cellValue
    }
    return ''
  }
  const columns = [
    { type: 'checkbox', width: 40 },
    { type: 'seq',title:'序号', width: 60 },
    { field: 'gdh',title:'派工单号', width: 120,formatter: gdhFormat},
    {field: 'dcCh', title: '船号', width: 80},
    {field: 'dcPl', title: '批量', width: 80},
    {field: 'kw', title: '跨位', width: 80},
    {field: 'zl', title: '组立', width: 80},
    {field: '', title: '材质', width: 80},
    {field: '', title: '规格', width: 100},
    {field: '', title: '炉批号', width: 100},
    {field: 'tzbh', title: '套料图号', width: 100},
    {field: '', title: '接收人', width: 80},
    {field: '', title: '接收时间', width: 100},
    {field: '', title: '反馈人', width: 80},
    {field: '', title: '反馈时间', width: 100},
    {field: '', title: '状态', width: 60},
  ]

  return {
    options,
    columns,
  }
}
